Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2
Class UserLocation.LocationType

    java.lang.Object
      |
      +--oracle.portal.provider.v2.UserLocation.LocationType

Enclosing class:
  UserLocation

public static class UserLocation.LocationType
extends java.lang.Object

Field Summary
`static UserLocation.LocationType` | `LOCATION_PROFILE`
`static UserLocation.LocationType` | `LOCATION_REAL`
`static UserLocation.LocationType` | `LOCATION_UNKNOWN`
`static int` | `PROFILE`
`static int` | `REAL`
`static int` | `UNKNOWN`

Constructor Summary
`UserLocation.LocationType(int location)`
`UserLocation.LocationType(java.lang.String location)`

Method Summary
`static UserLocation.LocationType` | `getLocationType(java.lang.String location)`
`int` | `getValue()`
`static boolean` | `isLocationKnown(UserLocation.LocationType type)`
`static boolean` | `isLocationProfile(UserLocation.LocationType type)`
`static boolean` | `isLocationReal(UserLocation.LocationType type)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

### REAL

    public static final int REAL

See Also:
  Constant Field Values

### PROFILE

    public static final int PROFILE

See Also:
  Constant Field Values

### LOCATION_UNKNOWN

    public static final UserLocation.LocationType LOCATION_UNKNOWN

### LOCATION_REAL

    public static final UserLocation.LocationType LOCATION_REAL

### LOCATION_PROFILE

    public static final UserLocation.LocationType LOCATION_PROFILE

Constructor Detail

### UserLocation.LocationType

    public UserLocation.LocationType(java.lang.String location)

### UserLocation.LocationType

    public UserLocation.LocationType(int location)

Method Detail

### isLocationReal

    public static boolean isLocationReal(UserLocation.LocationType type)

### isLocationProfile

    public static boolean isLocationProfile(UserLocation.LocationType type)

### isLocationKnown

    public static boolean isLocationKnown(UserLocation.LocationType type)

### getLocationType

    public static UserLocation.LocationType getLocationType(java.lang.String location)

### getValue

    public int getValue()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.